<link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
/>

<div
  class=""
  style="display: flex; justify-content: center; margin: 100px 0 0 0"
>
  <mat-form-field appearance="outline" style="width: 70%">
    <mat-label>Tìm kiếm sản phẩm</mat-label>
    <input
      #searchkeyword
      matInput
      name="searchKey"
      (keyup)="applyFilter($event)"
      id="searchKey"
      placeholder="Nhập tên sản phẩm"
    />
  </mat-form-field>
</div>

<div class="select" style="margin-left: 180px; width: 240px">
  <select (change)="onCategoryChange($event)">
    <option [value]="-1">Danh mục</option>
    <option *ngFor="let item of categotyList" [value]="item.id">
      {{ item.name }}
    </option>
  </select>
</div>

<div class="card" *ngIf="!isFilter">
  <ul class="listing">
    <li
      class="product"
      *ngFor="let item of products"
      style="background-color: rgb(255, 255, 255)"
    >
      <a class="img-wrapper" href="#">
        <img
          mat-card-image=""
          [src]="item.image"
          alt="2"
          class="mat-mdc-card-image mdc-card__media"
          width="100%"
        />
      </a>

      <div class="info">
        <div class="title">{{ item.name }}</div>
        <div class="price">
          {{ item.price | currency : "VND" : true : "1.0-0" }}
        </div>
      </div>

      <div class="actions-wrapper">
        <a
          style="cursor: pointer"
          (click)="viewProductDetail(item.id)"
          class="add-btn wishlist"
          >Chi tiết</a
        >
        <a (click)="addToCart()" class="add-btn cart">+ Thêm</a>
      </div>
    </li>
  </ul>
</div>

<div *ngIf="isFilter">
  <div class="card">
    <ul class="listing">
      <li
        class="product"
        *ngFor="let item of paginatedProducts"
        style="background-color: rgb(255, 255, 255)"
      >
        <a class="img-wrapper" href="#">
          <img
            mat-card-image=""
            [src]="item.image"
            alt="2"
            class="mat-mdc-card-image mdc-card__media"
            width="100%"
          />
        </a>

        <div class="info">
          <div class="title">{{ item.name }}</div>
          <div class="price">
            {{ item.price | currency : "VND" : true : "1.0-0" }}
          </div>
        </div>

        <div class="actions-wrapper">
          <a
            style="cursor: pointer"
            (click)="viewProductDetail(item.id)"
            class="add-btn wishlist"
            >Chi tiết</a
          >
          <a (click)="addToCart()" class="add-btn cart">+ Thêm</a>
        </div>
      </li>
    </ul>
  </div>
</div>

<!-- <mat-paginator
  [pageSizeOptions]="[5, 10, 25, 100]"
  showFirstLastButtons
></mat-paginator> -->

<!-- <div>
  <div class="pagination">
    <button (click)="prevPage()" [disabled]="currentPage === 1">Trước</button>
    <span class="ml-1">Trang {{ currentPage }}/{{ totalPages }}</span>
    <button
      (click)="nextPage()"
      class="ml-1"
      [disabled]="currentPage === totalPages"
    >
      Sau
    </button>
  </div>
</div> -->
